JUCE: OSCBundle::Element Class Reference

JUCE

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
OSCBundle::Element Class Reference
juce_osc » osc

An OSC bundle element. More...

`#include <juce_OSCBundle.h>`

## Public Member Functions
| Element (OSCMessage message)
| Constructs an OSCBundle Element from an OSCMessage.
| Element (OSCBundle bundle)
| Constructs an OSCBundle Element from an OSCBundle.
| Element (const Element &other)
| Copy constructor.
| ~Element ()
| Destructor.
bool | isMessage () const noexcept
| Returns true if the OSCBundle element is an OSCMessage.
bool | isBundle () const noexcept
| Returns true if the OSCBundle element is an OSCBundle.
const OSCMessage & | getMessage () const
| Returns a reference to the contained OSCMessage.
const OSCBundle & | getBundle () const
| Returns a reference to the contained OSCBundle.

## Detailed Description

An OSC bundle element.

An OSCBundle Element contains either one OSCMessage or one OSCBundle.

## Constructor & Destructor Documentation

## ◆ Element() [1/3]

OSCBundle::Element::Element | ( | OSCMessage | message | ) |

Constructs an OSCBundle Element from an OSCMessage.

## ◆ Element() [2/3]

OSCBundle::Element::Element | ( | OSCBundle | bundle | ) |

Constructs an OSCBundle Element from an OSCBundle.

## ◆ Element() [3/3]

OSCBundle::Element::Element | ( | const Element & | other | ) |

Copy constructor.

## ◆ ~Element()

OSCBundle::Element::~Element | ( |  | ) |

Destructor.

## Member Function Documentation

## ◆ isMessage()

bool OSCBundle::Element::isMessage | ( |  | ) | const
| noexcept

Returns true if the OSCBundle element is an OSCMessage.

## ◆ isBundle()

bool OSCBundle::Element::isBundle | ( |  | ) | const
| noexcept

Returns true if the OSCBundle element is an OSCBundle.

## ◆ getMessage()

const OSCMessage & OSCBundle::Element::getMessage | ( |  | ) | const

Returns a reference to the contained OSCMessage.

If the OSCBundle element is not an OSCMessage, behaviour is undefined.

## ◆ getBundle()

const OSCBundle & OSCBundle::Element::getBundle | ( |  | ) | const

Returns a reference to the contained OSCBundle.

If the OSCBundle element is not an OSCBundle, behaviour is undefined.

The documentation for this class was generated from the following file:

- juce_OSCBundle.h